Sync from SUSE:ALP:Source:Standard:1.0 tidy revision a496edd8b946da1a767ab1bb0510baa4

This commit is contained in:
Adrian Schröter 2023-06-07 10:05:25 +02:00
commit 9ccab4cdff
10 changed files with 824 additions and 0 deletions

23
.gitattributes vendored Normal file
View File

@ -0,0 +1,23 @@
## Default LFS
*.7z filter=lfs diff=lfs merge=lfs -text
*.bsp filter=lfs diff=lfs merge=lfs -text
*.bz2 filter=lfs diff=lfs merge=lfs -text
*.gem filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.jar filter=lfs diff=lfs merge=lfs -text
*.lz filter=lfs diff=lfs merge=lfs -text
*.lzma filter=lfs diff=lfs merge=lfs -text
*.obscpio filter=lfs diff=lfs merge=lfs -text
*.oxt filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.rpm filter=lfs diff=lfs merge=lfs -text
*.tbz filter=lfs diff=lfs merge=lfs -text
*.tbz2 filter=lfs diff=lfs merge=lfs -text
*.tgz filter=lfs diff=lfs merge=lfs -text
*.ttf filter=lfs diff=lfs merge=lfs -text
*.txz filter=lfs diff=lfs merge=lfs -text
*.whl filter=lfs diff=lfs merge=lfs -text
*.xz filter=lfs diff=lfs merge=lfs -text
*.zip filter=lfs diff=lfs merge=lfs -text
*.zst filter=lfs diff=lfs merge=lfs -text

BIN
00f1e38.tar.gz (Stored with Git LFS) Normal file

Binary file not shown.

BIN
5.8.0.tar.gz (Stored with Git LFS) Normal file

Binary file not shown.

View File

@ -0,0 +1,85 @@
From: adam.majer@suse.de
Date: 2016-06-02 12:28:27+0000
+ use standard cmake BUILD_SHARED_LIBS instead of BUILD_SHARED_LIB
+ build both static and dynamic libraries by default, instead
of just static
+ link vs. dynamic by default
---
CMakeLists.txt | 22 ++++++++++++----------
1 file changed, 12 insertions(+), 10 deletions(-)
Index: tidy-html5-5.8.0/CMakeLists.txt
===================================================================
--- tidy-html5-5.8.0.orig/CMakeLists.txt
+++ tidy-html5-5.8.0/CMakeLists.txt
@@ -91,15 +91,15 @@ endif ()
# shared library can be turned off if not needed. The console program
# can be configured for static linking or dynamic linking.
#------------------------------------------------------------------------
-set( LIB_TYPE STATIC ) # set default message
+option( BUILD_STATIC_LIBS "Set ON to build static library" ON )
-option( BUILD_SHARED_LIB "Set OFF to NOT build shared library" ON )
+option( BUILD_SHARED_LIBS "Set OFF to NOT build shared library" ON )
# Issue #326 - Allow linkage choice of console app tidy
-option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." OFF )
+option( TIDY_CONSOLE_SHARED "Set OFF to link with static lib." ON )
if (TIDY_CONSOLE_SHARED)
- if (NOT BUILD_SHARED_LIB)
+ if (NOT BUILD_SHARED_LIBS)
message(FATAL_ERROR "Enable shared build for this tidy linkage!")
endif ()
endif ()
@@ -326,7 +326,7 @@ endif ()
# Shared Library
# Setup whether or not we will build the shared library.
#------------------------------------------------------------------------
-if(BUILD_SHARED_LIB)
+if(BUILD_SHARED_LIBS)
set(LIB_TYPE SHARED)
message(STATUS "*** Also building DLL library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
else()
@@ -395,8 +395,8 @@ endif ()
#------------------------------------------------------------------------
# Static Library
-# The static library always builds.
#------------------------------------------------------------------------
+if (BUILD_STATIC_LIBS)
set(name tidy-static)
add_library ( ${name} STATIC ${CFILES} ${HFILES} ${LIBHFILES} )
if (WIN32)
@@ -407,14 +407,17 @@ else ()
OUTPUT_NAME ${LIB_NAME} )
endif ()
-if (NOT TIDY_CONSOLE_SHARED) # user wants default static linkage
+if (NOT TIDY_CONSOLE_SHARED) # user wants static linkage
list ( APPEND add_LIBS ${name} )
endif ()
install(TARGETS ${name}
- RUNTIME DESTINATION ${BIN_INSTALL_DIR}
ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
LIBRARY DESTINATION ${LIB_INSTALL_DIR}
)
+endif()
+install(TARGETS ${name}
+ RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+ )
install( FILES ${HFILES} DESTINATION ${INCLUDE_INSTALL_DIR} )
if(MSVC)
# install(FILES $<TARGET_PDB_FILE:${name}> DESTINATION lib OPTIONAL)
@@ -424,9 +427,8 @@ endif()
#------------------------------------------------------------------------
# Dynamic Library
-# If the user option is still on.
#------------------------------------------------------------------------
-if (BUILD_SHARED_LIB)
+if (BUILD_SHARED_LIBS)
set(name tidy-share)
if (UNIX AND APPLE)
set(CMAKE_MACOSX_RPATH 1)

86
fix_doxygen_paths.diff Normal file
View File

@ -0,0 +1,86 @@
Index: tidy-html5-5.4.0/tidy-html5-doxygen/build_docs.sh
===================================================================
--- tidy-html5-5.4.0.orig/tidy-html5-doxygen/build_docs.sh
+++ tidy-html5-5.4.0/tidy-html5-doxygen/build_docs.sh
@@ -18,16 +18,16 @@
###########################################################
SCRIPT=$(basename $0)
-PATH_TIDY_HTML5="../../tidy-html5"
+PATH_TIDY_HTML5="../tidy-html5-doxygen"
-TIDY_PATH="$PATH_TIDY_HTML5/build/cmake/tidy"
-OUTP_DIR="./output"
+TIDY_PATH="$PATH_TIDY_HTML5/../build/tidy"
+OUTP_DIR="./docs"
-DOXY_CFG="./doxygen.cfg"
+DOXY_CFG="$PATH_TIDY_HTML5/doxygen.cfg"
-PATH_SRC="$PATH_TIDY_HTML5/src"
-PATH_INC="$PATH_TIDY_HTML5/include"
-PATH_CONSOLE="$PATH_TIDY_HTML5/console/tidy.c"
+PATH_SRC="$PATH_TIDY_HTML5/../src"
+PATH_INC="$PATH_TIDY_HTML5/../include"
+PATH_CONSOLE="$PATH_TIDY_HTML5/../console/tidy.c"
###########################################################
@@ -129,8 +129,8 @@ TIDY_VERSION="$(echo $TIDY_VERSION_STRIN
###########################################################
# Additional variables needed by the configuration:
###########################################################
-PATH_QUICKREF="quickref_$TIDY_VERSION.html"
-PATH_WEBSITE="tidylib_api_$TIDY_VERSION"
+PATH_QUICKREF="quickref.html"
+PATH_WEBSITE="api"
PATH_QUICKREF_INCLUDE="$OUTP_DIR/quickref_include.html"
@@ -140,8 +140,7 @@ PATH_QUICKREF_INCLUDE="$OUTP_DIR/quickre
cat << HEREDOC
The script is generating the versioned 'quickref.html' file and the Tidy API
- reference website for Tidy $TIDY_VERSION_STRING,
- which is located at $TIDY_PATH.
+ reference website for Tidy, which is located at $TIDY_PATH.
The following files/directories will be placed into $OUTP_DIR/:
@@ -173,11 +172,11 @@ $TIDY_PATH -xml-config > "$OUTP_DIR/tidy
# 'quickref.html'
# 'quickref_include.html' for the Doxygen build
-xsltproc "./quickref.xsl" "$OUTP_DIR/tidy-config.xml" > "$OUTP_DIR/$PATH_QUICKREF"
-xsltproc "./quickref.include.xsl" "$OUTP_DIR/tidy-config.xml" > "$PATH_QUICKREF_INCLUDE"
+xsltproc "$PATH_TIDY_HTML5/quickref.xsl" "$OUTP_DIR/tidy-config.xml" > "$OUTP_DIR/$PATH_QUICKREF"
+xsltproc "$PATH_TIDY_HTML5/quickref.include.xsl" "$OUTP_DIR/tidy-config.xml" > "$PATH_QUICKREF_INCLUDE"
# Tidy quickref.html
-$TIDY_PATH -quiet -config "./tidy-quickref.cfg" -modify "$OUTP_DIR/$PATH_QUICKREF" >& /dev/null
+$TIDY_PATH -quiet -config "$PATH_TIDY_HTML5/tidy-quickref.cfg" -modify "$OUTP_DIR/$PATH_QUICKREF" >& /dev/null
# Cleanup
rm "$OUTP_DIR/tidy-config.xml"
@@ -198,14 +197,18 @@ echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
# - overwrites some vars but appending some to config at end
# - which are then passed to doxygen as stdin (instead of the path to a config.file)
( cat "$DOXY_CFG"; \
- echo "INPUT=\"$PATH_INC\" \"$PATH_SRC\" \"$PATH_CONSOLE\" \"./\" \"./pages/\" \"./pages/general\" \"./pages/libtidy\" \"./pages/programming\""
+ echo "INPUT=\"$PATH_INC\" \"$PATH_SRC\" \"$PATH_CONSOLE\" \"$PATH_TIDY_HTML5\" \"$PATH_TIDY_HTML5/pages/\" \"$PATH_TIDY_HTML5/pages/general\" \"$PATH_TIDY_HTML5/pages/libtidy\" \"$PATH_TIDY_HTML5/pages/programming\"";
+ echo "HTML_EXTRA_STYLESHEET=\"$PATH_TIDY_HTML5/style.css\""
+ echo "LAYOUT_FILE=\"$PATH_TIDY_HTML5/DoxygenLayout.xml\""
+ echo "EXAMPLE_PATH=\"$PATH_TIDY_HTML5/examples/\""
echo "INCLUDE_PATH=\"$PATH_SRC\""
echo "OUTPUT_DIRECTORY=\"$OUTP_DIR\""
echo "EXAMPLE_PATH=\"$OUTP_DIR\""
echo "PROJECT_NUMBER=$TIDY_VERSION"
echo "HTML_OUTPUT=\"$PATH_WEBSITE\""
- echo "HTML_EXTRA_FILES= sun_blast.svg"; ) \
-| doxygen - > /dev/null
+ echo "HTML_TIMESTAMP=NO"
+ echo "HTML_EXTRA_FILES=\"$PATH_TIDY_HTML5/sun_blast.svg\""; ) \
+| doxygen -
# cleanup
rm "$PATH_QUICKREF_INCLUDE"

25
test_fixes.diff Normal file
View File

@ -0,0 +1,25 @@
Index: tidy-html5-5.4.0/tests/tools-sh/t1.sh
===================================================================
--- tidy-html5-5.4.0.orig/tests/tools-sh/t1.sh
+++ tidy-html5-5.4.0/tests/tools-sh/t1.sh
@@ -176,6 +176,7 @@ if [ "$ERRCNT" = "0" ]; then
else
echo "$BN: Carefully REVIEW the above differences on $TMPCASE $TMPEXIT! *** ACTION REQUIRED ***"
echo "$BN: Carefully REVIEW the above differences on $TMPCASE $TMPEXIT! *** ACTION REQUIRED ***" >> "${TY_RESULTS_FILE}"
+ exit 1
fi
echo ""
echo "# eof" >> "${TY_RESULTS_FILE}"
Index: tidy-html5-5.4.0/tests/tools-sh/testall.sh
===================================================================
--- tidy-html5-5.4.0.orig/tests/tools-sh/testall.sh
+++ tidy-html5-5.4.0/tests/tools-sh/testall.sh
@@ -56,7 +56,7 @@ echo "==================================
while read bugNo expected
do
# echo Testing $bugNo | tee -a "${TY_RESULTS_FILE}"
- ./testone.sh $bugNo $expected | tee -a "${TY_RESULTS_FILE}"
+ ./testone.sh $bugNo $expected || exit 1
done < $TMPINP
echo "========================================" >> "${TY_RESULTS_FILE}"

BIN
tidy-html5-doxygen-0ed35c6.tar.gz (Stored with Git LFS) Normal file

Binary file not shown.

426
tidy.changes Normal file
View File

@ -0,0 +1,426 @@
-------------------------------------------------------------------
Sun Aug 15 11:06:33 UTC 2021 - Jan Engelhardt <jengelh@inai.de>
- Update to release 5.8.0
* Only a version bump; no changes were conveyed.
- New SONAME, so there is a bit of cleaning possible against
old Obsoletes/Conflicts.
-------------------------------------------------------------------
Mon Mar 16 07:07:28 UTC 2020 - Martin Pluskal <mpluskal@suse.com>
- Cleanup spec file with spec-cleaner
- Fix previous changelog entry (missing patch removal)
-------------------------------------------------------------------
Sat Mar 14 11:24:27 UTC 2020 - Matej Cepl <mcepl@suse.com>
- Update to the versoin 5.7.28:
- Change "tidyLocalMapItem" to "tidyLocaleMapItem"
- added OS __ANDROID__ to tidyplatform.h
- Is. #781, PR #782 - Bump to 5.7.24, for nl -h removal
- PR #769 - Dump to 5.7.23, add 'data' tag - closes #649
- Switch 32-bit build to 'next'
- Is #797 - use 'TidyRealloc' in place of raw 'realloc'
- Update BRANCHES.md
- Is. #746 PR #747 - fix other dup 'const' modifier
- PR #762 - bump to 5.7.19 for BUILD.md fix
- Is. #791 - free some allocations
- Is. #770 #780 maybe #790 - remove 'setlocal' from lib!
- Is. #783 - Fix language detection
- Is. #781 - Drop redundant blank lines in -help
- Issue#649: added <data> tag
- PHP >= 7.1.0 recognizes tidy-html5
- Is #752 - Replace _MSC_VER with _WIN32
- Is #752 - Slightly enhance the API doxy docs
- Is #752 - Chg TC_MAIN_ERROR_LOAD_CONFIG to 'problems'
- Is #752 - Try STRING_MUTING_TYPE to TidyInfo
- Is #741 - add RELEASE.md document
- Is #752 - Add windows tilde expansion
- Fix extra const modifier
- Is #726 #185 - HTML5 is case sensitive for anchors.
- Is #718 PR #727 - Update to CONTRIBUTING.md.2.txt
- Is #726 #185 - HTML5 is case sensitive for anchors.
- Is #719 - Set 'muted' before any callback
- Is #713 - show-filename to errout when no warnings
- PR #712 - Bump to 5.7.11 for this merge, and fix
- PR #712 - Only allow 'auto' on 'dir' for HTML5
- Is 697 PR #708 - Bump to 5.7.10 for this merge
- Is #721 - cast away some gcc warnings
- fix spelling mistake
- add --show-filename option to show the input filename on
output messages
- update --gnu-emacs option documentation
- Is #679 PR #695 - To 5.7.5 for this merge
- Is #684 - To 5.7.4 for this 'docs' change
- Update language_en.h
- jidanni and geoffmcl
- Is #709 - Improve message if 'implict'
- Make global attribute `dir` accept auto as well.
- Is #700 - change script parsing if in html5 mode
- Is #698 - Mention need for ':' in config file
- Is #697 - Add NOWRAP to print of pre tag
- Is #698 - Mention colon in 'man' text
- Is #686 - Add attr COLOR to W3CAttrsFor_LINK
- Is #679 - add 'priority-attributes' to -show-config
- Is #679 - some fixes for -export-config
- Is #663 - Reduce static alloc to as required
- Is #663 - Open context for gcc 2.95 port
- Is #663 - Add language limit for 'Haiku' gcc 2.95
- Is #663 - Add 'Haiku' port, '__HAIKU__'
- Is #663 - Remove UTF-8 BOM from 6 lang. headers
- Is #663 - Small change for MSVC10
- Issue #655 - Fix unsafe use of output buffer as input param
- Issue #656 - protect against NULL node set in loop
- Drop no longer needed patch:
0001-Issue-656-protect-against-NULL-node-set-in-loop.diff
-------------------------------------------------------------------
Thu May 31 21:50:49 UTC 2018 - jengelh@inai.de
- Drop unmaintained Debian files
- Update to new upstream release 5.6.0
* handle <table> in <table>
* Add support for <link>'s "as" attribute
* Add support for the "integrity" attribute (on
<link> and <script>)
- Add 0001-Issue-656-protect-against-NULL-node-set-in-loop.diff
- dynamic_library_build.diff: refreshed
-------------------------------------------------------------------
Fri May 5 09:49:55 UTC 2017 - adam.majer@suse.de
- actually enable and distribute compat headers
- explicitly list headers instead of globing so nothing
"disappears" with version updates
-------------------------------------------------------------------
Mon Apr 10 08:18:55 UTC 2017 - adam.majer@suse.de
- new upstream version 5.4.0
- compat_headers.diff: upstreamed
- static_buffer_overflow.diff: upstreamed
- updated documentation to current
+ tidy-html5-doxygen-a8e47dc.tar.gz replaced by
tidy-html5-doxygen-c0d1cd1.tar.gz
- updated unit tests to current
+ a510b54.tar.gz replaced by 97cf741.tar.gz
- fix_doxygen_paths.diff: refreshed
- test_fixes.diff: refreshed
-------------------------------------------------------------------
Thu Aug 4 12:33:50 UTC 2016 - adam.majer@suse.de
- add static_buffer_overflow.diff:
+ fix overflow in a static buffer (CVE-2016-6583)
- add Debian package files form fomer tidy-html5 packagee
these don't really work, but mostly as WIP
-------------------------------------------------------------------
Thu Jun 2 12:28:27 UTC 2016 - adam.majer@suse.de
- new upstream version 5.2.0
+ added support for HTML5
- new upstream authors at https://github.com/htacg/tidy-html5
- remove tidy_generate_tarball.sh
+ not needed
- remove tidy-fix-buffer-overflow.patch
+ upstreamed
- add fix_doxygen_paths.diff
+ patch Doxygen config file to build documentation from buld
directory
- add test_fixes.diff
+ fix build paths
+ remove pauses via `read` bash builtin
+ don't hide logging in log files
- add dynamic_library_build.diff
+ use standard cmake BUILD_SHARED_LIBS instead of BUILD_SHARED_LIB
+ build both static and dynamic libraries by default, instead
of just static
+ link vs. dynamic by default
- add tidy_fetch_docs.sh
+ used to fetch latest documentation configuration sources
- add compat_headers.diff
+ upstream changed some header names, so provide compatible header
wrappers with a compile time warning
- change library subpackage according to new soname
- build libtidy-devel instead of having soname in devel package name
-------------------------------------------------------------------
Thu Jul 16 09:57:18 UTC 2015 - astieger@suse.com
- add CVE to previous changelog entry
-------------------------------------------------------------------
Thu Jun 4 08:33:48 UTC 2015 - gber@opensuse.org
- add tidy-fix-buffer-overflow.patch in order to fix a heap-based
buffer overflow in tidy/libtidy (gh#htacg/tidy-html5#217
boo#933588) CVE-2015-5522 CVE-2015-5523
-------------------------------------------------------------------
Mon Jun 18 09:43:46 UTC 2012 - cfarrell@suse.com
- license update: W3C
SPDX format (the license corresponds to the W3C Software License)
-------------------------------------------------------------------
Mon Feb 15 09:36:17 UTC 2010 - guido+opensuse.org@berhoerster.name
- fix libtidy-0_99-0-devel not providing/obsoleting libtidy-devel
-------------------------------------------------------------------
Thu Feb 4 19:11:52 UTC 2010 - guido+opensuse.org@berhoerster.name
- updated to CVS snapshot 20100202
- cleaned up
* included script to generate a tarball from CVS
* consistent usage of license tag
* removed erroneously packaged files
* more concise description conforming to packaging policy
* lint clean
* renamed libtidy(-devel) to libtidy-0_99-0(-devel)
* removed trailing period from libtidy-dev summary
* split documentation into tidy-doc subpackage
-------------------------------------------------------------------
Sun Feb 22 23:35:59 CET 2009 - crrodriguez@suse.de
- remove static libraries
-------------------------------------------------------------------
Thu Jun 21 17:33:02 CEST 2007 - adrian@suse.de
- fix changelog entry order
-------------------------------------------------------------------
Mon Nov 13 18:45:38 CET 2006 - ro@suse.de
- added directory to filelist
-------------------------------------------------------------------
Mon Nov 13 14:58:25 CET 2006 - poeml@suse.de
- copying package from buildservice package to autobuild
(adding .changes file)
-------------------------------------------------------------------
Tue Oct 24 00:00:00 CET 2006 - sierkb@gmx.de
- Updated tidy from CVS snapshot 061023.
-------------------------------------------------------------------
Fri Oct 06 00:00:00 CET 2006 - sierkb@gmx.de
- Updated tidy from CVS snapshot 061006.
-------------------------------------------------------------------
Tue Sep 19 00:00:00 CET 2006 - sierkb@gmx.de
- Updated tidy from CVS snapshot 060919.
-------------------------------------------------------------------
Thu Jun 15 00:00:00 CET 2006 - sierkb@gmx.de
- Rebuild for SUSE Linux 10.1
-------------------------------------------------------------------
Wed Feb 22 00:00:00 CET 2006 - sierkb@gmx.de
- Updated tidy from CVS snapshot 060222.
- Spec file clean-ups:
- Removed libmxl2 from BuildRequires.
- Removed authors due to anti-spam strategy.
-------------------------------------------------------------------
Wed Jan 25 21:42:10 CET 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
-------------------------------------------------------------------
Tue Nov 29 00:00:00 CET 2005 - sierkb@gmx.de
- Generating also a debug information sub-package.
-------------------------------------------------------------------
Wed Nov 23 00:00:00 CET 2005 - sierkb@gmx.de
- Rebuild for SUSE Linux 10.0 OSS (GCC 4.0.2)
-------------------------------------------------------------------
Tue Nov 01 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 051027.
- Updated docs to 051021.
-------------------------------------------------------------------
Thu Oct 27 00:00:00 CET 2005 - sierkb@gmx.de
- New destination for tidy's header files: /usr/include/tidy rather than /usr/include.
- Spec file clean-up.
-------------------------------------------------------------------
Mon Oct 17 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 051014.
-------------------------------------------------------------------
Wed Sep 28 00:00:00 CET 2005 - sierkb@gmx.de
- Removed extra patch for fixing casting issue,
because the issue now is fixed.
-------------------------------------------------------------------
Thu Sep 22 00:00:00 CET 2005 - sierkb@gmx.de
- To reflect the fact that the Quick Reference and the Manpage can be autogenerated
through the Tidy Makefile, all instructions to reproduce this manually
now are removed from the Spec file and are replaced by the much shorter equivalent
'make doc'.
-------------------------------------------------------------------
Tue Sep 20 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 050913.
- Updated docs to 050706.
-------------------------------------------------------------------
Mon Jul 23 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 050723.
-------------------------------------------------------------------
Thu Jun 23 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 050623.
-------------------------------------------------------------------
Thu Jun 23 00:00:00 CET 2005 - sierkb@gmx.de
- Fixed casting issue, by Marcus Meissner.
- Adjusted authors list to tidy's project member list on Sourceforge.net.
-------------------------------------------------------------------
Tue Jun 21 00:00:00 CET 2005 - sierkb@gmx.de
- Corrected prep options.
-------------------------------------------------------------------
Fri Jun 17 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 050616.
- Updated docs to 050616.
- Corrected version number to 1.0.
-------------------------------------------------------------------
Tue Jun 07 00:00:00 CET 2005 - sierkb@gmx.de
- Added license to libtidy package.
- Improved Spec file according to the SUSE Package conventions.
-------------------------------------------------------------------
Fri Jun 03 00:00:00 CET 2005 - sierkb@gmx.de
- Cleaned up spec file;
fixed some email addresses;
corrected version number.
- Build with RPM_OPT_FLAGS.
-------------------------------------------------------------------
Tue May 31 18:29:31 CEST 2005 - poeml@suse.de
- improve generation and installation of documentation
(thanks to Sierk Bornemann who provided key assistance)
-------------------------------------------------------------------
Mon May 30 13:04:27 CEST 2005 - poeml@suse.de
- split libtidy subpackage, and rename tidy-devel to libtidy-devel
- install missing documentation
- run ldconfig in %post/%postun where needed
-------------------------------------------------------------------
Sat May 28 00:00:00 CET 2005 - sierkb@gmx.de
- Updated docs to 050503.
- Create and install Quickref and man page (manually because the gnuauto
Makefile doesn't do it yet).
-------------------------------------------------------------------
Thu May 26 13:33:44 CEST 2005 - poeml@suse.de
- update to version 050517 + docs to 050502
- use gnuauto buildsystem to get the shared lib
- create and install man page (manually because the gnuauto
Makefile doesn't do it yet)
- package the license
- split -devel subpackage
-------------------------------------------------------------------
Thu May 26 00:00:00 CET 2005 - sierkb@gmx.de
- Updated tidy to 050518 and docs to 050311.
- Initial build for SuSE Linux.
-------------------------------------------------------------------
Thu May 12 15:49:54 CEST 2005 - ke@suse.de
- Update to version 050502.
- Add htmldoc.tgz (from tidy CVS).
- Remove obsolete files, which are now part of htmldoc.tgz.
- Install tab2space.
- Fix casting issue, by Marcus Meissner.
-------------------------------------------------------------------
Tue May 10 15:14:07 CEST 2005 - meissner@suse.de
- build with RPM_OPT_FLAGS.
-------------------------------------------------------------------
Thu Feb 26 12:19:33 CET 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
-------------------------------------------------------------------
Mon Jun 16 10:13:02 CEST 2003 - coolo@suse.de
- use BuildRoot
-------------------------------------------------------------------
Tue Sep 17 17:34:28 CEST 2002 - ro@suse.de
- removed bogus self-provides
-------------------------------------------------------------------
Mon Apr 29 10:40:53 CEST 2002 - drahn@suse.de
- update to: tidy version 020428
-------------------------------------------------------------------
Mon Dec 4 11:51:19 MET 2000 - mge@suse.de
- update to: tidy4aug00
-------------------------------------------------------------------
Tue Jun 27 19:51:28 MEST 2000 - mge@suse.de
- update to: tidy30apr00
-------------------------------------------------------------------
Thu Jan 27 16:09:07 CET 2000 - ke@suse.de
- update to version 13jan00.
- translate the version string to make the update process happy.
- define version _after_ the Version header line.
- use the %{version} and %{name} macro.
- use %{_mandir}.
- add a nice group tag.
- add %defattr to the %files section.
- Overview.html: use an sed trick to resolve remote references: insert the
<base> element.
-------------------------------------------------------------------
Mon Oct 25 23:32:29 MEST 1999 - mge@suse.de
- initial SuSE-RPM; Changed Overview.html to work "offline".

132
tidy.spec Normal file
View File

@ -0,0 +1,132 @@
#
# spec file for package tidy
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
%define regression_tests 00f1e38
%define documentation 0ed35c6
Name: tidy
Version: 5.8.0
Release: 0
Summary: Utility to Clean Up and Pretty-print HTML, XHTML or XML Markup
License: W3C
Group: Productivity/Publishing/HTML/Tools
URL: https://github.com/htacg/tidy-html5
Source0: https://github.com/htacg/tidy-html5/archive/%{version}.tar.gz
# Latest version of unit tests
Source1: https://github.com/htacg/tidy-html5-tests/archive/%{regression_tests}.tar.gz
# Documentation generation files, extracted from
# https://github.com/htacg/html-tidy.org.api.git/archive/%%{documentation}.tar.gz
# using tidy_fetch_docs.sh
Source2: tidy-html5-doxygen-%{documentation}.tar.gz
Source10: tidy_fetch_docs.sh
Patch0: dynamic_library_build.diff
Patch1: test_fixes.diff
Patch2: fix_doxygen_paths.diff
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: libxslt
BuildRequires: pkgconfig
%description
Tidy is a command line frontend to TidyLib which allows for cleaning up and
pretty printing HTML, XHTML and XML markup in a variety of file encodings. For
HTML variants, it can detect and report proprietary elements as well as many
common coding errors, correct them and produce visually equivalent markup
which is both compliant with W3C standards and works on most browsers.
Furthermore, it can convert plain HTML to XHTML. For generic XML files, Tidy is
limited to correcting basic well-formedness errors and pretty printing.
%package doc
Summary: Documentation for tidy and libtidy
Group: Documentation/HTML
BuildArch: noarch
%description doc
This package contains the documentation for both tidy and libtidy.
%package -n libtidy58
Summary: Library to Clean Up and Pretty-print HTML, XHTML or XML Markup
Group: System/Libraries
%description -n libtidy58
TidyLib is a library for cleaning up and pretty printing HTML, XHTML and XML
markup in a variety of file encodings. For HTML variants, it can detect and
report proprietary elements as well as many common coding errors, correct them
and produce visually equivalent markup which is both compliant with W3C
standards and works on most browsers. Furthermore, it can convert plain HTML
into XHTML. For generic XML files, Tidy is limited to correcting basic
well-formedness errors and pretty printing.
There is a command line frontend for this library, contained in the package
"tidy".
%package -n libtidy-devel
Summary: Development files for libtidy
Group: Development/Libraries/C and C++
Requires: glibc-devel
Requires: libtidy58 = %{version}
Conflicts: libtidy-0_99-0-devel
Conflicts: tidy-html5-devel
Obsoletes: libtidy-0_99-0-devel < %{version}
%description -n libtidy-devel
This package contains all necessary include files and libraries needed
to develop applications using functions provided by the TidyLib library.
%prep
%setup -q -a 1 -a 2 -n tidy-html5-%{version}
mv tidy-html5-tests-* tests
%autopatch -p1
%build
%cmake \
-DCMAKE_SKIP_RPATH:BOOL=OFF \
-DINCLUDE_INSTALL_DIR:PATH=include/%{name} \
-DTIDY_COMPAT_HEADERS:BOOL=ON -DCMAKE_C_FLAGS_RELWITHDEBINFO="-O0 -ggdb3"
%cmake_build
../tidy-html5-doxygen/build_docs.sh
%install
%cmake_install
%post -n libtidy58 -p /sbin/ldconfig
%postun -n libtidy58 -p /sbin/ldconfig
%files
%{_bindir}/tidy
%{_mandir}/man1/tidy.1%{?ext_man}
%files -n tidy-doc
%doc build/docs/api/
%files -n libtidy58
%{_libdir}/libtidy*.so.*
%files -n libtidy-devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/tidy.h
%{_includedir}/%{name}/tidybuffio.h
%{_includedir}/%{name}/tidyenum.h
%{_includedir}/%{name}/tidyplatform.h
%{_includedir}/%{name}/buffio.h
%{_includedir}/%{name}/platform.h
%{_libdir}/libtidy.so
%{_libdir}/pkgconfig/*.pc
%changelog

38
tidy_fetch_docs.sh Normal file
View File

@ -0,0 +1,38 @@
#!/bin/bash
#
# Updates documentation generation files to latest upstream version
export PATH=/bin:/usr/bin
rx='^%define documentation[[:space:]]+([a-f0-9]+)[[:space:]]*$'
ver=`cat tidy.spec | grep '^%define documentation'`
[[ $ver =~ $rx ]]
ver=${BASH_REMATCH[1]}
git clone https://github.com/htacg/html-tidy.org.api.git
new_ver=`cd html-tidy.org.api; git log -1 --pretty=%h`
if [[ $new_ver = $ver ]]; then
echo "Currently up to date."
exit 0
fi
cd html-tidy.org.api
osc log -p $ver..$new_ver -- tidy-html5-doxygen/
echo "Last chance to abort before update .... and abort if upstream did nothing interesting"
read
if [ $? -ne 0 ]; then
echo "Aborting update."
exit 1
fi
echo "Updating version $ver to $new_ver"
cd html-tidy.org.api
git archive --format=tar $new_ver tidy-html5-doxygen/ | gzip -9 > ../tidy-html5-doxygen-$new_ver.tar.gz
cd ..
sed -ie "s/\(define documentation\)\(\W\+\)\($ver\)/\1\2$new_ver/" tidy.spec
osc rm tidy-html5-doxygen-$ver.tar.gz
osc add tidy-html5-doxygen-$new_ver.tar.gz